package people;

public class StudentImpl extends PersonImpl implements Student{
    private int grade;
    private String numEtud;

        public StudentImpl(String numetud, String nom, int age, int grade){
	super (nom, age);
	this.grade = grade;
	this.numEtud = numetud;

    }

    public StudentImpl(StudentImpl p){
	this(p.getUniqueId(),p.getName(),p.getAge(), p.getGrade());
    }

    public String getUniqueId(){
	return this.numEtud;
    }

    public int getGrade (){
	return grade;
    }

    public void setGrade (int grade){
	this.grade = grade;
    }

    
    public String toString(){
	String grade = null;;
	switch (getGrade()){
	case Student.YEAR_1ST :
	    grade =""+ Student.YEAR_1ST;
	    break;
	case Student.YEAR_2ND :
	    grade =""+ Student.YEAR_2ND;
	    break;
	case Student.YEAR_3RD :  
	    grade =""+ Student.YEAR_3RD;
	    break;
	}
	grade+="A";    
	return super.toString()+ " grade: "+grade;
    }


    public boolean equals(Object o){
	if (!(o instanceof StudentImpl) || o == null)
	    return false;
	else {
	    StudentImpl p = (StudentImpl)o;
	    return ((p.getName()==this.getName() && p.getAge() == this.getAge() && p.getUniqueId()==this.getUniqueId()) && this.getGrade() == p.getGrade()|| o == this);
	}
     }
}
