package people;

public class TestAll extends AbstractTest {

	public static void main(String[] args) {
		new TestAll();
	}

	private AbstractTest[] testSuite;
	
	protected void init() {
		super.init();
		this.testSuite = new AbstractTest[] {
				new TestPerson(),
				new TestEmployee(),
				new TestStudent(),
				new TestPeopleDatabaseFixed(),
				new TestPeopleDatabaseDynamic()
		};
	}
	
	public void runTests() {	
		for (AbstractTest test : this.testSuite) {
			test.runTests();
			this.testCount += test.getTestCount();
			this.testFailed += test.getTestFailedCount();
			this.testSucceeded += test.getTestSucceededCount();
			this.testExpected += test.getTestExpectedCount();
		}
	}
		
}
