package people;

public class EmployeeImpl extends PersonImpl implements Employee{
    private double salary;
    private String numen;

    public EmployeeImpl(String numen, String nom, int age, double salary){
	super (nom, age);
	this.salary = salary;
	this.numen = numen;

    }

    public EmployeeImpl(EmployeeImpl p){
	this(p.getUniqueId(),p.getName(),p.getAge(), p.getSalary());
    }

    public String getUniqueId(){
	return this.numen;
    }

    public double getSalary(){
	return this.salary;
    }

    public void setSalaray(double salary){
	this.salary = salary;
    }

    public void setSalary(double salary){
	this.salary = salary;
    }

    public String toString(){
	return super.toString()+ " salary: "+getSalary()+ " euros";
    }

    public boolean equals(Object o){
	if (!(o instanceof EmployeeImpl) || o == null)
	    return false;
	else {
	    EmployeeImpl p = (EmployeeImpl)o;
	    return ((p.getName()==this.getName() && p.getAge() == this.getAge() && p.getUniqueId()==this.getUniqueId()) && this.getSalary() == p.getSalary()|| o == this);
	}
     }
}
    

    
